Bug 2044575 (CVE-2022-0400)

Summary: CVE-2022-0400 kernel: Out of bounds read in the smc protocol stack
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhandarigauri69, bhu, brdeoliv, bskeggs, carnil, ccourse39, chwhite, crwood, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, jarod, jarodwilson, jburrell, jeremy, jfaracco, jforbes, jglisse, jlelli, joe.lawrence, jonathan, josef, jshortt, jstancek, jwakely, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, lzampier, masami256, mchehab, nmurray, ptalbert, qzhao, rkeshri, rvrbovsk, scweaver, security-response-team, steve.beattie, steved, vkumar, walters, williams
Target Milestone: ---Keywords: Security
Target Release: ---Flags: ccourse39: needinfo? (bskeggs)
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-01-31 10:01:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2040604, 2047638    
Bug Blocks: 2044577    

Description Pedro Sampaio 2022-01-24 19:03:01 UTC
A out-of-bounds read vulnerability in the smc protocol stack in the Linux kernel.

References:

https://bugzilla.redhat.com/show_bug.cgi?id=2040604

Comment 5 Rohit Keshri 2022-01-28 07:56:48 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2047638]

Comment 6 Salvatore Bonaccorso 2022-01-31 07:59:43 UTC
Hi

Are there any details available for this CVE? The referenced bug is not public. Is this something already with a fix in mainline?

Regards,
Salvatore

Comment 7 Product Security DevOps Team 2022-01-31 10:01:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0400

Comment 10 Rohit Keshri 2022-02-07 08:09:22 UTC
In reply to comment #6:
> Hi
> 
> Are there any details available for this CVE? The referenced bug is not
> public. Is this something already with a fix in mainline?
> 
> Regards,
> Salvatore

Hi Salvatore,

Not yet fixed in the mainline, thanks to ziming zhang, who has reported this.  
https://bugzilla.redhat.com/show_bug.cgi?id=2040604

Comment 11 imamaja 2023-03-16 11:46:37 UTC Comment hidden (spam)
Comment 12 course 2023-07-08 10:34:44 UTC Comment hidden (spam)
Comment 13 course 2023-07-08 10:36:15 UTC Comment hidden (spam)
Comment 16 gauri kanade 2023-10-31 04:46:27 UTC Comment hidden (spam)